package com.iamberry.wechat.core.entity.search;

import java.util.Date;

/**
 * 历史搜索记录表
 * Created by liuzhiwei on 2017/12/14.
 */
public class SearchInfo implements java.io.Serializable {

    private static final long serialVersionUID = -7269098573441145124L;

    private Integer searchId;           //id
    private String userOpenId;          //openId
    private String searchDetails;       //搜索内容
    private Integer searchNum;          //搜索次数
    private Date searchCreateDate;      //创建时间
    private Date searchUpdateDate;     //修改时间
    private Integer searchTypeState;    //状态 1：使用中，2：停用

    public Integer getSearchId() {
        return searchId;
    }

    public void setSearchId(Integer searchId) {
        this.searchId = searchId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public String getSearchDetails() {
        return searchDetails;
    }

    public void setSearchDetails(String searchDetails) {
        this.searchDetails = searchDetails;
    }

    public Integer getSearchNum() {
        return searchNum;
    }

    public void setSearchNum(Integer searchNum) {
        this.searchNum = searchNum;
    }

    public Date getSearchCreateDate() {
        return searchCreateDate;
    }

    public void setSearchCreateDate(Date searchCreateDate) {
        this.searchCreateDate = searchCreateDate;
    }

    public Integer getSearchTypeState() {
        return searchTypeState;
    }

    public void setSearchTypeState(Integer searchTypeState) {
        this.searchTypeState = searchTypeState;
    }

    public Date getSearchUpdateDate() {
        return searchUpdateDate;
    }

    public void setSearchUpdateDate(Date searchUpdateDate) {
        this.searchUpdateDate = searchUpdateDate;
    }
}
